package com.liquidnet.service.account.wallet.mapper;

import com.liquidnet.service.account.wallet.entity.FinBizTrade;
import com.liquidnet.service.account.wallet.entity.FinBizTradeExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface FinBizTradeMapper {
    int countByExample(FinBizTradeExample example);

    int insert(FinBizTrade record);

    int insertSelective(FinBizTrade record);

    List<FinBizTrade> selectByExample(FinBizTradeExample example);

    FinBizTrade selectByPrimaryKey(String tradeNo);

    int updateByExampleSelective(@Param("record") FinBizTrade record, @Param("example") FinBizTradeExample example);

    int updateByExample(@Param("record") FinBizTrade record, @Param("example") FinBizTradeExample example);

    int updateByPrimaryKeySelective(FinBizTrade record);

    int updateByPrimaryKey(FinBizTrade record);
}